from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFilterAdapter(XInterface, Protocol):
    def convert(self, xml: XInputStream, device: XOutputStream, convertToOffice: bool, pluginUrl: str, fileName: str) -> None: ...
